Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department: EF Affected Products: ADTF 3.6.2, ADTF Display Toolbox 3.4.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 3rd Level Topic: ADTF::Common

Resolution: Solved Issue FAQ Links:  

Description

ADTF, the Toolboxes and especially the SDK packages like OSG shall add their bin directories to path in conanfile package_info:

def package_info(self):            

        self.env_info.path.append(os.path.join(self.package_folder, "bin"))

 Without this modules (e.g. filters) built against these SDK cannot be used with conan's native virtualenv generator.

Related issues:

Related to Public Support - Support Request #11012: Using conan packages and ... Closed

Related to Public Support - Support Request #10968: ADTF3 Conan Package Varia... Closed

History

#1 - 2019-12-12 12:29 - hidden

- Topic set to ADTF::Common

#5 - 2019-12-16 08:41 - hidden

- Status changed from New to In Progress

- Support Level changed from 2nd Level to 3rd Level

Nils ist bereits im Urlaub und hatte dazu Kontakt mit Falk.

Wird dann ab KW02/20 weiter bearbeitet.

#6 - 2020-01-15 07:11 - hidden

Ich habe das Due date auf KW 13 verschoben da z.Z. der nächste ADTF release Vorrang hat.

Schöne Grüße

#7 - 2020-04-01 08:25 - hidden

- Status changed from In Progress to To Be Closed

- Resolution set to Solved Issue

Ich bin aufgrund von Krankheit erst jetzt dazu gekommen.

Für OSG habe ich das conanfile angepasst. Auch wenn die Platform hier nicht angefordert war sage ich trotzdem direkt dazu: Unter Ubuntu

funktioniert das nicht, da die libs nicht auf dem rpath sind. Falls Ubuntu gebraucht wird bitte ein neues Ticket aufmachen.

Wir stellen gerade unseren Deploy Prozess um in dem Zuge werde ich den path für virtualenv in den pkgs ergänzen in denen es Sinn ergibt.

Schöne Grüße

#8 - 2020-04-14 10:01 - hidden

- Project changed from 11 to Public Support
- Subject changed from [CONAN] ADTF and SDK packages do not add their bin directories to path to Conan ADTF and SDK packages do not add

their bin directories to path

- Private changed from Yes to No

#9 - 2020-04-14 10:02 - hidden

- Related to Support Request #11012: Using conan packages and required package _DIRs added

#10 - 2020-04-29 21:34 - hidden

Hallo,

wie heute besprochen würde ich gern noch einmal meine konkreten Wünsche bzg. conan-Rezepte der adtf/sdk-Pakete äußern. Ziel ist es, dass die

Pakete über "native" conan nutzbar sind ohne cmake-magic aus den mitgelieferten ADTF-cmake-files oder n-faches DLL-Kopiere. Natürlich sollen die

ADTF-cmake-scripte nicht ersetzt werden, lediglich die pakete so erweitert werden, dass auch libs und pfade innerhalb von conan korrekt gesetzt und

gefunden werden. Mir ist bewusst, dass das u.U. unter unix nicht geht. Für uns ist unix aber aktuell kein Thema. Es bliebe auch immer der Weg über

die mitgelieferten adtf-cmake-scripts offen. Ich sehe eigentlich keinen Grund, warum die package_info() nicht ergänzt werden kann. Das stört keinen,

ist wenig Aufwand und würde massiv  beim Entwickeln von neuen Plugins und v.a. Tooling mit und um Conan herum helfen (conan workspaces,

jenkins jobs, packaging, adtf-startscript-generator, ...)

alle punkte gelten für ADTF, Toolboxen, Qt, OSG, ...:

- self.env_info.path - braucht man bei ADTF auch das /3rdparty/qt5/bin/?

- self.cpp_info.libs - im zweifelsfall einfach alle libs außer den 3rd und 3rd3rd party libs, solange das paket (ADTF) ein monolith ist.

- self.cpp_info.define - falls es da welche gibt (bei ADTF2 hatten wir z.b. ADTF_A_UTILS_LEGACY_NAMES gesetzt um nicht alle Filter anpassen zu

müssen)

- self.cpp_info.bindirs (sofern nicht nur /bin/)

- self.cpp_info.libdirs (sofern nicht nur /lib/)

- self.cpp_info.includedirs (sofern nicht nur /include/)

leider hat es in die 3.7.0 nicht eine dieser Variablen geschafft :(

#11 - 2020-04-30 08:44 - hidden

- Status changed from To Be Closed to In Progress

@Nils: Kannst du die Anforderungen nochmal festhalten, damit wir das künftig berücksichtigen (soweit möglich) ?

Ich denke Falk kann auch gut als Tester dienen, wenn wir ihm Beta Stände freischalten können (ggf. schon zur 3.8.0)

Deshalb bitte einfach mal im passenden Ticketsystem für die nächste Iteration verorten, danach kann dieses Supportticket abgeschlossen werden

#12 - 2020-04-30 11:15 - hidden

Florian Roth wrote:

@Nils: Kannst du die Anforderungen nochmal festhalten, damit wir das künftig berücksichtigen (soweit möglich) ?

Ich denke Falk kann auch gut als Tester dienen, wenn wir ihm Beta Stände freischalten können (ggf. schon zur 3.8.0)

Deshalb bitte einfach mal im passenden Ticketsystem für die nächste Iteration verorten, danach kann dieses Supportticket abgeschlossen

werden

 Tickets sind erstellt.

#13 - 2020-04-30 11:15 - hidden

- Status changed from In Progress to To Be Closed

#14 - 2020-05-06 08:22 - hidden

- Related to Support Request #10968: ADTF3 Conan Package Variants (EB vs. DW) added

#15 - 2020-07-07 12:46 - hidden

- Status changed from To Be Closed to Closed
